import { world, system } from "@minecraft/server";


// Listen for player right-click interactions
world.afterEvents.playerInteractWithBlock.subscribe(event => {
    const { player, block } = event;

    // Get the block location and type
    const { x, y, z } = block.location;
    const blockType = block.permutation.type.id;

    // Prevent interaction with air blocks
    if (blockType === "minecraft:air") return;

    // Check if the block has the custom component for toggleable blocks
    if (!block.hasComponent("ry:on_off")) return;

    // Toggle the block state between on and off
    const newBlockType = blockType === "ry:small_oak_lamp" ? "ry:small_oak_lamp_off" : "ry:small_oak_lamp";
    player.dimension.getBlock({ x, y, z }).setType(newBlockType);
});

