import { world } from '@minecraft/server';

const sitOnBlock = {
    onPlayerInteract({ block, player }) {
        const seatEntity = block.dimension.spawnEntity("ry:sit", { x: block.x + 0.5, y: block.y, z: block.z + 0.5 });
        if (!seatEntity) return;
        const rideableComp = seatEntity.getComponent("minecraft:rideable");
        if (!rideableComp) return;
        rideableComp.addRider(player);
    }
}

world.beforeEvents.worldInitialize.subscribe((eventData) => {
    eventData.blockComponentRegistry.registerCustomComponent('ry:sit', sitOnBlock);
});